<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MtwSdiData Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_mtw_sdi_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MtwSdiData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to store strapdown integration data.  
 <a href="struct_mtw_sdi_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a239a55326d2e314fc73e15af90c4231d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a239a55326d2e314fc73e15af90c4231d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a239a55326d2e314fc73e15af90c4231d">MtwSdiData</a> ()</td></tr>
<tr class="memdesc:a239a55326d2e314fc73e15af90c4231d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct an empty strapdown integration data object. <br /></td></tr>
<tr class="separator:a239a55326d2e314fc73e15af90c4231d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3a3273bb18b6b399ec5710166c81640"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3a3273bb18b6b399ec5710166c81640"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#af3a3273bb18b6b399ec5710166c81640">MtwSdiData</a> (const <a class="el" href="struct_mtw_sdi_data.html">MtwSdiData</a> &amp;other)</td></tr>
<tr class="memdesc:af3a3273bb18b6b399ec5710166c81640"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a copy of <em>other</em>. <br /></td></tr>
<tr class="separator:af3a3273bb18b6b399ec5710166c81640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4ad497bdcc78c208558611ba36dfb94"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4ad497bdcc78c208558611ba36dfb94"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#ac4ad497bdcc78c208558611ba36dfb94">~MtwSdiData</a> ()</td></tr>
<tr class="memdesc:ac4ad497bdcc78c208558611ba36dfb94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the strapdown integration data structure. <br /></td></tr>
<tr class="separator:ac4ad497bdcc78c208558611ba36dfb94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a484c8ffd4f5213fb0797b3e4d78676b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a484c8ffd4f5213fb0797b3e4d78676b3"></a>
const <a class="el" href="struct_mtw_sdi_data.html">MtwSdiData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a484c8ffd4f5213fb0797b3e4d78676b3">operator=</a> (const <a class="el" href="struct_mtw_sdi_data.html">MtwSdiData</a> &amp;other)</td></tr>
<tr class="memdesc:a484c8ffd4f5213fb0797b3e4d78676b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign <em>other</em> to this. <br /></td></tr>
<tr class="separator:a484c8ffd4f5213fb0797b3e4d78676b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1127ead961f4d9823ca5d4807b7768c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1127ead961f4d9823ca5d4807b7768c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#aa1127ead961f4d9823ca5d4807b7768c">empty</a> () const </td></tr>
<tr class="memdesc:aa1127ead961f4d9823ca5d4807b7768c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this is a null Awinda object. <br /></td></tr>
<tr class="separator:aa1127ead961f4d9823ca5d4807b7768c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360d0014b7f83ae2277006e8583cd6c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a360d0014b7f83ae2277006e8583cd6c9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a360d0014b7f83ae2277006e8583cd6c9">containsAidingData</a> () const </td></tr>
<tr class="memdesc:a360d0014b7f83ae2277006e8583cd6c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if strapdown integration data is available. <br /></td></tr>
<tr class="separator:a360d0014b7f83ae2277006e8583cd6c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8829dd3be67b1110c9eafd072a62203e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8829dd3be67b1110c9eafd072a62203e"></a>
<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a8829dd3be67b1110c9eafd072a62203e">orientationIncrement</a> () const </td></tr>
<tr class="memdesc:a8829dd3be67b1110c9eafd072a62203e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the orientation increment value. <br /></td></tr>
<tr class="separator:a8829dd3be67b1110c9eafd072a62203e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9bd864c2ce55d0eacf1c0fb6a06b4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d9bd864c2ce55d0eacf1c0fb6a06b4f"></a>
<a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a1d9bd864c2ce55d0eacf1c0fb6a06b4f">velocityIncrement</a> () const </td></tr>
<tr class="memdesc:a1d9bd864c2ce55d0eacf1c0fb6a06b4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the velocity increment value. <br /></td></tr>
<tr class="separator:a1d9bd864c2ce55d0eacf1c0fb6a06b4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a241ec6fc3cf0104e9b8ccd48c47385a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a241ec6fc3cf0104e9b8ccd48c47385a3"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a241ec6fc3cf0104e9b8ccd48c47385a3">pressure</a> () const </td></tr>
<tr class="memdesc:a241ec6fc3cf0104e9b8ccd48c47385a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the pressure as measured by the barometer in hPa. <br /></td></tr>
<tr class="separator:a241ec6fc3cf0104e9b8ccd48c47385a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1134a6eb92c22761de115e20247f2982"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1134a6eb92c22761de115e20247f2982"></a>
<a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a1134a6eb92c22761de115e20247f2982">magneticField</a> () const </td></tr>
<tr class="memdesc:a1134a6eb92c22761de115e20247f2982"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the magnetic field value. <br /></td></tr>
<tr class="separator:a1134a6eb92c22761de115e20247f2982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace6d8fea9bcfc56e2578db9ff65bd4c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace6d8fea9bcfc56e2578db9ff65bd4c9"></a>
<a class="el" href="struct_xs_vector.html">XsVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#ace6d8fea9bcfc56e2578db9ff65bd4c9">currentBias</a> () const </td></tr>
<tr class="memdesc:ace6d8fea9bcfc56e2578db9ff65bd4c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current gyroscope bias value. <br /></td></tr>
<tr class="separator:ace6d8fea9bcfc56e2578db9ff65bd4c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47549e142d4cc2354f5ce1e654bf922c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47549e142d4cc2354f5ce1e654bf922c"></a>
<a class="el" href="struct_xs_range.html">XsRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a47549e142d4cc2354f5ce1e654bf922c">frameRange</a> () const </td></tr>
<tr class="memdesc:a47549e142d4cc2354f5ce1e654bf922c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the frame range of the current strapdown integration data. <br /></td></tr>
<tr class="separator:a47549e142d4cc2354f5ce1e654bf922c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c6136a9f4cd7eb251b73a502ce83ab9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c6136a9f4cd7eb251b73a502ce83ab9"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a1c6136a9f4cd7eb251b73a502ce83ab9">rssi</a> () const </td></tr>
<tr class="memdesc:a1c6136a9f4cd7eb251b73a502ce83ab9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the rssi of the received strapdown integration data. <br /></td></tr>
<tr class="separator:a1c6136a9f4cd7eb251b73a502ce83ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad6a89436c7eca08f8e66d6ee54e0f4a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6a89436c7eca08f8e66d6ee54e0f4a9"></a>
<a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#ad6a89436c7eca08f8e66d6ee54e0f4a9">m_deviceId</a></td></tr>
<tr class="memdesc:ad6a89436c7eca08f8e66d6ee54e0f4a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The ID of the device that generated the data. <br /></td></tr>
<tr class="separator:ad6a89436c7eca08f8e66d6ee54e0f4a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7a51d90edc5e0d1c67811b8e621a308"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7a51d90edc5e0d1c67811b8e621a308"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#ab7a51d90edc5e0d1c67811b8e621a308">m_timeSync</a></td></tr>
<tr class="memdesc:ab7a51d90edc5e0d1c67811b8e621a308"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates if the time sync is in order (unused) <br /></td></tr>
<tr class="separator:ab7a51d90edc5e0d1c67811b8e621a308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a8501ff7f98b0b59e456bc49614cac1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a8501ff7f98b0b59e456bc49614cac1"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a6a8501ff7f98b0b59e456bc49614cac1">m_firstFrameNumber</a></td></tr>
<tr class="memdesc:a6a8501ff7f98b0b59e456bc49614cac1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The first frame number of the SDI interval. The time of the interval is [first, last) <br /></td></tr>
<tr class="separator:a6a8501ff7f98b0b59e456bc49614cac1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ff046028eb404be9061794a143812b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ff046028eb404be9061794a143812b9"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a2ff046028eb404be9061794a143812b9">m_lastFrameNumber</a></td></tr>
<tr class="memdesc:a2ff046028eb404be9061794a143812b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The last frame number of the SDI interval. The time of the interval is [first, last) <br /></td></tr>
<tr class="separator:a2ff046028eb404be9061794a143812b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacf11bba9d9ee01b9a524b02f44f42bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aacf11bba9d9ee01b9a524b02f44f42bd"></a>
<a class="el" href="struct_xs_vector3.html">XsVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#aacf11bba9d9ee01b9a524b02f44f42bd">m_currentBias</a></td></tr>
<tr class="memdesc:aacf11bba9d9ee01b9a524b02f44f42bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The gyroscope bias used during the SDI interval. <br /></td></tr>
<tr class="separator:aacf11bba9d9ee01b9a524b02f44f42bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb846f0db0380a7f6059bf6cbf191541"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb846f0db0380a7f6059bf6cbf191541"></a>
<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#adb846f0db0380a7f6059bf6cbf191541">m_orientationIncrement</a></td></tr>
<tr class="memdesc:adb846f0db0380a7f6059bf6cbf191541"><td class="mdescLeft">&#160;</td><td class="mdescRight">The orientation increment (delta Q) over the interval. <br /></td></tr>
<tr class="separator:adb846f0db0380a7f6059bf6cbf191541"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a005fa1965314f7d53dd19d20e30b1b4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a005fa1965314f7d53dd19d20e30b1b4f"></a>
<a class="el" href="struct_xs_vector3.html">XsVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a005fa1965314f7d53dd19d20e30b1b4f">m_velocityIncrement</a></td></tr>
<tr class="memdesc:a005fa1965314f7d53dd19d20e30b1b4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The velocity increment (delta V) over the interval. <br /></td></tr>
<tr class="separator:a005fa1965314f7d53dd19d20e30b1b4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc9e9fa42663b52bba38dfe4b4563799"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc9e9fa42663b52bba38dfe4b4563799"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#afc9e9fa42663b52bba38dfe4b4563799">m_aidingData</a></td></tr>
<tr class="memdesc:afc9e9fa42663b52bba38dfe4b4563799"><td class="mdescLeft">&#160;</td><td class="mdescRight">reserved <br /></td></tr>
<tr class="separator:afc9e9fa42663b52bba38dfe4b4563799"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6692cb64f3cda75f56b9dd946917b286"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6692cb64f3cda75f56b9dd946917b286"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a6692cb64f3cda75f56b9dd946917b286">m_barometer</a></td></tr>
<tr class="memdesc:a6692cb64f3cda75f56b9dd946917b286"><td class="mdescLeft">&#160;</td><td class="mdescRight">The barometer value during the interval. <br /></td></tr>
<tr class="separator:a6692cb64f3cda75f56b9dd946917b286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19d0155877c6d321d1217d809f963011"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19d0155877c6d321d1217d809f963011"></a>
<a class="el" href="struct_xs_vector3.html">XsVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#a19d0155877c6d321d1217d809f963011">m_magnetoMeter</a></td></tr>
<tr class="memdesc:a19d0155877c6d321d1217d809f963011"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnetometer values during the interval. <br /></td></tr>
<tr class="separator:a19d0155877c6d321d1217d809f963011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba179b8ddc482b3d172ed683d0a9b3ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba179b8ddc482b3d172ed683d0a9b3ad"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mtw_sdi_data.html#aba179b8ddc482b3d172ed683d0a9b3ad">m_rssi</a></td></tr>
<tr class="memdesc:aba179b8ddc482b3d172ed683d0a9b3ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Received Signal Strength Indication (RSSI) of the message. <br /></td></tr>
<tr class="separator:aba179b8ddc482b3d172ed683d0a9b3ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to store strapdown integration data. </p>
<dl class="section note"><dt>Note</dt><dd>Intended for internal use. </dd></dl>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
